net.sf.okapi.common.pipeline

## Enum PipelineReturnValue

- java.lang.Object
- - java.lang.Enum<PipelineReturnValue>
  - - net.sf.okapi.common.pipeline.PipelineReturnValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PipelineReturnValue>

      public enum PipelineReturnValue
      extends java.lang.Enum<PipelineReturnValue>

  Values returned by implementations of the `IPipeline` interface.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELLED` `IPipeline` was canceled.
    `DESTROYED` `IPipeline` has been stopped and all steps have finalized.
    `FAILED` One of the `IPipeline` steps has failed.
    `INTERRUPTED` `IPipeline` was interrupted.
    `PAUSED` `IPipeline` has been paused.
    `RUNNING` `IPipeline` is currently running.
    `SUCCEDED` `IPipeline` completed successfully.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PipelineReturnValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PipelineReturnValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCEDED

          public static final PipelineReturnValue SUCCEDED

      `IPipeline` completed successfully.

    - #### FAILED

          public static final PipelineReturnValue FAILED

      One of the `IPipeline` steps has failed.

    - #### INTERRUPTED

          public static final PipelineReturnValue INTERRUPTED

      `IPipeline` was interrupted.

    - #### RUNNING

          public static final PipelineReturnValue RUNNING

      `IPipeline` is currently running.

    - #### PAUSED

          public static final PipelineReturnValue PAUSED

      `IPipeline` has been paused.

    - #### CANCELLED

          public static final PipelineReturnValue CANCELLED

      `IPipeline` was canceled.

    - #### DESTROYED

          public static final PipelineReturnValue DESTROYED

      `IPipeline` has been stopped and all steps have finalized. The `IPipeline` must be reinitialized after being destroyed.

  - ### Method Detail

    - #### values

          public static PipelineReturnValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PipelineReturnValue c : PipelineReturnValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PipelineReturnValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null